<html>
<head>
<title>OgreThreadDefines.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
      <li class="navelem"><a class="el" href="dir_2eb764d9bdb39175641ca6b4fa1c3066.html">Threading</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#define-members">Defines</a>  </div>
  <div class="headertitle">
<div class="title">OgreThreadDefines.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="OgreThreadDefinesNone_8h_source.html">OgreThreadDefinesNone.h</a>&quot;</code><br/>
</div>
<p><a href="OgreThreadDefines_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="define-members"></a>
Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePrerequisites_8h.html#ab5230fc97085f9d074db2e47a4fd93d4">OGRE_AUTO_MUTEX_NAME</a>&#160;&#160;&#160;mutex</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreThreadDefines_8h.html#ab5230fc97085f9d074db2e47a4fd93d4">OGRE_AUTO_MUTEX_NAME</a>&#160;&#160;&#160;mutex</td></tr>
</table>
<hr/><h2>Define Documentation</h2>
<a class="anchor" id="ab5230fc97085f9d074db2e47a4fd93d4"></a><!-- doxytag: member="OgreThreadDefines.h::OGRE_AUTO_MUTEX_NAME" ref="ab5230fc97085f9d074db2e47a4fd93d4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefines_8h.html#ab5230fc97085f9d074db2e47a4fd93d4">OGRE_AUTO_MUTEX_NAME</a>&#160;&#160;&#160;mutex</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Referenced by <a class="el" href="OgreSharedPtr_8h_source.html#l00197">Ogre::SharedPtr&lt; D3D11GpuProgram &gt;::release()</a>, and <a class="el" href="OgreSharedPtr_8h_source.html#l00247">Ogre::SharedPtr&lt; D3D11GpuProgram &gt;::swap()</a>.</p>

</div>
</div>
<a class="anchor" id="ab5230fc97085f9d074db2e47a4fd93d4"></a><!-- doxytag: member="OgreThreadDefines.h::OGRE_AUTO_MUTEX_NAME" ref="ab5230fc97085f9d074db2e47a4fd93d4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreThreadDefines_8h.html#ab5230fc97085f9d074db2e47a4fd93d4">OGRE_AUTO_MUTEX_NAME</a>&#160;&#160;&#160;mutex</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreThreadDefines_8h_source.html#l00029">29</a> of file <a class="el" href="OgreThreadDefines_8h_source.html">OgreThreadDefines.h</a>.</p>

</div>
</div>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
